require 'studio_game/game'
module StudioGame
describe Game do
  before do
    @game = Game.new("Knuckleheads")
    @health = 100
    @player = Player.new("moe", @health)
    @game.add_player(@player)
    end
it "wOOts the player if high number is rolled" do
  Die.any_instance.stub(:roll).and_return(5)
  @game.play(2)
  @player.health.should == @health + (15 * 2)
    end
it "skips the player if a medium number is rolled" do
  Die.any_instance.stub(:roll).and_return(3)
  @game.play(2)
  @player.health.should == @health
  end
it "Blams the player if a low number is rolled" do
  Die.any_instance.stub(:roll).and_return(1)
  @game.play(2)
  @player.health.should == @health - (10 * 2)
end
end
end
